(function (window, $) {
    "use strict";

    var $variationsTable = $("#variations-table");

    var checkAllVariations = function () {
        var checked = $(this).is(":checked");
        $variationsTable.find(".bulk-checkbox").prop('checked', checked);
    };

    var bulkActions = function (e) {
        switch ($(this).val()) {
            case 'delete':
                if (confirm(window.GEO_CONTENT_BULK_VARIATIONS_DELETE)) {
                    jQuery.fn.dialog.showLoader();
                    $("#variations-check-all").prop("checked", false);
                    var toDelete = [];
                    $variationsTable.find(".bulk-checkbox:checked").each(function () {
                        var $variation = $(this).closest('.variation-row');
                        toDelete.push($variation.data("variation"));
                        $variation.remove();
                    });

                    $.ajax(window.CCM_DISPATCHER_FILENAME + "/package/geo_content/territory_utilities/delete_variations", {
                        type: 'POST',
                        contentType: 'application/json',
                        dataType: 'json',
                        data: JSON.stringify({
                            'variations': toDelete,
                            'ccmToken': window.CCM_SECURITY_TOKEN
                        }),
                        complete: function () {
                            jQuery.fn.dialog.hideLoader();
                        }
                    });
                }

                break;
        }

        $(this).val("");
    };

    $(".bulk-actions").change(bulkActions);
    $("#variations-check-all").click(checkAllVariations);

}(window, jQuery));
