<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));

use Concrete\Package\GeoContent\Block\DisplayByLocale\Controller as BlockController;
use Concrete\Package\GeoContent\Src\Models\Variation;

$form = Core::make('helper/form');
?>

<div class="form-group">
    <?php echo  $form->label('variationID', t('Display Variation')) ?>
    <?php 
    $variations = Variation::findBy(array());
    $variationsFiltered = array();
    foreach ($variations as $variation) {
        $variationsFiltered[$variation->id] = $variation->name;
    }
    echo $form->select('variationID', $variationsFiltered, $variationID);
    ?>
</div>

<div class="checkbox">
    <label>
        <?php echo  $form->checkbox('territoryDropdown', 1, $territoryDropdown) ?>
        <?php echo  t('Include Territory Dropdown') ?>
    </label>
</div>

<label><?php echo  t('Sort Territories By') ?></label>
<div class="radio">
    <label>
        <?php echo  $form->radio(
            'sort',
            BlockController::SORT_QUERY,
            (!$sort || $sort == BlockController::SORT_QUERY)
        ) ?>
        <?php echo  t('Query Order') ?>
    </label>
</div>

<div class="radio">
    <label>
        <?php echo  $form->radio(
            'sort',
            BlockController::SORT_ALPHABETICAL,
            (!$sort || $sort == BlockController::SORT_ALPHABETICAL)
        ) ?>
        <?php echo  t('Alphabetical') ?>
    </label>
</div>
