<?php 
namespace Concrete\Package\GeoContent\Controller\SinglePage\Dashboard\GeoContent;

use Concrete\Core\Page\Controller\DashboardPageController;
use Concrete\Package\GeoContent\Src\Models\Territory;

class Territories extends DashboardPageController
{

    public function view()
    {
        if ($this->get('success')) {
            switch ($this->get('success')) {
                case 'delete':
                    $this->set('success', t('The territory was successfully deleted.'));
                    break;
                case 'saved':
                    $this->set('success', t('The territory was successfully saved.'));
                    break;
            }
        }

        if ($this->get('error')) {
            switch ($this->get('error')) {
                case 'delete-token':
                    $this->error->add(t('The security token has expired. Please try your request again.'));
                    break;
            }
        }

        $territories = Territory::findBy(array(), array('default' => 'ASC', 'priority' => 'ASC'));
        $this->set('territories', $territories);
    }

    public function delete($id)
    {
        if (\Core::make('token')->validate('delete_territory')) {
            Territory::findByID($id)->delete();
            $this->redirect('/dashboard/geo_content/territories?success=deleted');
        } else {
            $this->redirect('/dashboard/geo_content/territories?error=delete-token');
        }
    }

}