<?php 
namespace Concrete\Package\GeoContent\Controller\SinglePage\Dashboard\GeoContent\Territories;

use Concrete\Core\Page\Controller\DashboardPageController;
use Concrete\Package\GeoContent\Src\Form\ValidationException;
use Concrete\Package\GeoContent\Src\Models\Territory;
use Core;
use Stack;

class Add extends DashboardPageController
{

    public function view()
    {
        $territory = new Territory();

        if ($this->post() != null && Core::make('helper/validation/token')->validate('territory_form')) {
            $territory->name = trim($this->post('name'));
            $territory->column = $this->post('column');
            $territory->priority = Territory::getNextPriority();
            $territory->default = false;

            $territory->updateValues(explode(',', $this->post('values')));

            try {
                $territory->validate();
                $territory->stackID = Stack::addStack(t('Geo Content: %s', $territory->name))->getCollectionID();
                $territory->save();
                $this->redirect('/dashboard/geo_content/territories/edit/' . $territory->id . '?new=1');
            } catch (ValidationException $e) {
                $e->setCoreErrors($this->error);
            }
        }

        $resolverColumns = Core::make('geo_content/resolver')->getFields();

        $this->set('territory', $territory);
        $this->set('resolverColumns', $resolverColumns);
    }

}