<?php 
namespace Concrete\Package\GeoContent\Controller\SinglePage\Dashboard\GeoContent;

use Concrete\Core\Page\Controller\DashboardPageController;
use Concrete\Package\GeoContent\Src\Models\Variation;

class Variations extends DashboardPageController
{

    public function view()
    {
        if ($this->get('success')) {
            switch ($this->get('success')) {
                case 'delete':
                    $this->set('success', t('The variation was successfully deleted.'));
                    break;
                case 'saved':
                    $this->set('success', t('The variation was successfully saved.'));
                    break;
            }
        }

        if ($this->get('error')) {
            switch ($this->get('error')) {
                case 'delete-token':
                    $this->error->add(t('The security token has expired. Please try your request again.'));
                    break;
            }
        }

        $variations = Variation::findBy(array());
        $this->set('variations', $variations);
    }


    public function delete($id)
    {
        if (\Core::make('token')->validate('delete_variation')) {
            Variation::findByID($id)->delete();
            $this->redirect('/dashboard/geo_content/variations?success=deleted');
        } else {
            $this->redirect('/dashboard/geo_content/variations?error=delete-token');
        }
    }
}