<?php 
namespace Concrete\Package\GeoContent\Controller\SinglePage\Dashboard\GeoContent\Variations;

use Concrete\Core\Page\Controller\DashboardPageController;
use Concrete\Package\GeoContent\Src\Form\ValidationException;
use Concrete\Package\GeoContent\Src\Models\Variation;
use Core;

class Edit extends DashboardPageController
{

    public function view($id)
    {
        $variation = Variation::findByID($id);
        if (!$variation) {
            $this->redirect('/dashboard/geo_content/variations');
        }

        if ($this->post() != null && Core::make('helper/validation/token')->validate('variation_form')) {
            $variation->name = trim($this->post('name'));

            try {
                $variation->save();
                $this->redirect('/dashboard/geo_content/variations?success=saved');
            } catch (ValidationException $e) {
                $e->setCoreErrors($this->error);
            }
        }

        $this->set('variation', $variation);
    }

}