<?php 
defined('C5_EXECUTE') or die('Access denied.');

use Concrete\Core\Block\View\BlockView;
use Concrete\Package\GeoContent\Src\Models\TerritoryVariation;


$form = Core::make('helper/form');
/** @var Concrete\Package\GeoContent\Src\Models\Territory $territory */
/** @var Concrete\Package\GeoContent\Src\Models\Variation $variation */
/** @var Concrete\Package\GeoContent\Src\Models\TerritoryVariation $territoryVariation */
/** @var  \Stack $stack */

$area = Area::getOrCreate($stack, $variation->getAreaHandle());
$area->forceControlsToDisplay();
?>

<p class="lead"><?php echo  h($variation->name) ?></p>

<div class="variation" data-variation-id="<?php echo  $variation->id ?>" data-area-id="<?php echo  $area->getAreaID() ?>">
    <?php 
    $area->setBlockLimit(1);
    View::element('block_area_header', array('a' => $area));
    if ($territoryVariation === null) {
        $territoryVariation = new TerritoryVariation();
        $territoryVariation->territory = $territory;
        $territoryVariation->variation = $variation;
    }
    $block = Block::getByID($territoryVariation->getRecentBlockID(), $stack, $area);
    if ($block) {
        $bv = new BlockView($block);
        $bv->setAreaObject($area);
        $bv->render('view');
    }
    echo '</div></div>'; // closes two div tags from block_area_header
    ?>

    <div class="btn-group add-block" style="<?php echo  ($block ? 'display: none; ' : '') ?>margin-top: 10px">
        <a class="dialog-launch btn btn-primary btn-add-block" data-dialog-modal="false" data-dialog-width="550"
           data-dialog-height="380" data-dialog-title="<?php echo  t('Add Block') ?>"
           href="<?php echo  URL::to('/ccm/system/dialogs/page/add_block_list') ?>?cID=<?php echo  $stack->getCollectionID() ?>&arHandle=<?php echo  $area->getAreaHandle() ?>">
            <?php echo  t('Add Block') ?>
        </a>
        <a class="dialog-launch btn btn-primary btn-add-stack" dialog-modal="false" dialog-width="550"
           dialog-height="380" dialog-title="<?php echo  t('Add Stack') ?>"
           href="<?php echo  URL::to('/package/geo_content/dialog/add_stack_list') ?>?cID=<?php echo  $stack->getCollectionID() ?>&arHandle=<?php echo  $area->getAreaHandle() ?>">
            <?php echo  t('Add Stack') ?>
        </a>
        <a class="dialog-launch btn btn-primary btn-add-block" data-dialog-modal="false" data-dialog-width="550"
           data-dialog-height="380" data-dialog-title="<?php echo  t('Paste From Clipboard') ?>"
           href="<?php echo  URL::to('/ccm/system/dialogs/page/clipboard') ?>?cID=<?php echo  $stack->getCollectionID() ?>&arHandle=<?php echo  $area->getAreaHandle() ?>?>">
            <?php echo  t('Paste From Clipboard') ?>
        </a>
    </div>
</div>
