<?php 
defined('C5_EXECUTE') or die('Access denied.');

use Concrete\Core\Http\ResponseAssetGroup;


/** @var array $resolvers */
/** @var \Concrete\Package\GeoContent\Src\Resolver\BaseResolver $activeResolver */

$form = Core::make('helper/form');
$r = ResponseAssetGroup::get();
$r->requireAsset('geo_content/resolver_form');
?>

<form method="post" id="resolver-form">
    <?php echo  Core::make('token')->output('resolver_form') ?>
    <input type="hidden" name="setActive" id="setActive" value="1"/>

    <div class="form-group">
        <?php echo  $form->label('activeResolver', t('Active Location Resolver')) ?>
        <?php echo  $form->select('activeResolver', $resolvers, $activeResolver->getHandle()) ?>
    </div>

    <?php 
    $resolverConfig = $activeResolver->renderSetupForm();
    if ($resolverConfig !== null) {
        ?>
        <fieldset>
            <legend><?php echo  t('%s Resolver Settings', t($activeResolver->getName())) ?></legend>
            <?php echo  $resolverConfig ?>
        </fieldset>
        <?php 
    }
    ?>

    <div class="ccm-dashboard-form-actions-wrapper">
        <div class="ccm-dashboard-form-actions">
            <button type="submit" class="btn btn-primary pull-right"><?php echo  t('Save') ?></button>
        </div>
    </div>
</form>
