<?php 
defined('C5_EXECUTE') or die('Access denied.');

use Concrete\Core\Http\ResponseAssetGroup;

/** @var \Concrete\Package\GeoContent\Src\Models\Territory[] $territories */

$r = ResponseAssetGroup::get();
$r->requireAsset('dashboard');
$r->requireAsset('geo_content/territory_list');
?>

<div class="ccm-dashboard-header-buttons">
    <a href="<?php echo  URL::to('/dashboard/geo_content/territories/add') ?>"
       class="btn btn-primary"><?php echo  t('Add Territory') ?></a>
</div>

<div style="margin-bottom: 10px" class="clearfix">
    <select class="pull-left bulk-actions form-control" style="width: auto">
        <option value=""><?php echo  t('With Selected') ?></option>
        <option value="delete"><?php echo  t('Delete') ?></option>
    </select>
    <button class="pull-right btn btn-default" type="button" id="sort-territories-by-name">
        <?php echo  t('Sort by Name') ?>
    </button>
</div>

<table class="table table-striped">
    <thead>
    <tr>
        <th nowrap style="width: 2.3em">
            <input type="checkbox" id="territories-check-all" autocomplete="off" />
        </th>
        <th><?php echo  t('Name') ?></th>
        <th><?php echo  t('Location') ?></th>
        <th nowrap style="width:8em"><?php echo  t('Query Order') ?></th>
        <th style="width: 2em"></th>
    </tr>
    </thead>
    <tbody id="territories-table">
    <?php 
    foreach ($territories as $territory) {
        ?>
        <tr class="territory-row <?php echo  ($territory->default ? 'territory-default' : '') ?>"
            data-territory="<?php echo  $territory->id ?>" data-priority="<?php echo  $territory->priority ?>">
            <td>
                <?php 
                if (!$territory->default) {
                    ?>
                    <input type="checkbox" class="bulk-checkbox" autocomplete="off" />
                    <?php 
                }
                ?>
            </td>
            <td class="territory-name">
                <a href="<?php echo  URL::to('/dashboard/geo_content/territories/edit/' . $territory->id) ?>">
                    <?php echo  h($territory->name) ?>
                </a>
            </td>
            <td>
                <?php 
                if (!$territory->default) {
                    $fields = Core::make('geo_content/resolver')->getFields();
                    echo $fields[$territory->column] ?>: <?php echo  h(mb_strimwidth(implode(',', $territory->getValuesArray()), 0, 80, '...'));
                }
                ?>
            </td>
            <td>
                <?php 
                if (!$territory->default) {
                    ?>
                    <a href="#" class="move-territory-up"><i class="fa fa-chevron-up"></i></a>
                    <a href="#" class="move-territory-down"><i class="fa fa-chevron-down"></i></a>
                    <a href="#" class="move-territory-top"><i class="fa fa-arrow-up"></i></a>
                    <a href="#" class="move-territory-bottom"><i class="fa fa-arrow-down"></i></a>
                    <?php 
                }
                ?>
            </td>
            <td>
                <?php 
                if (!$territory->default) {
                    ?>
                    <a class="territory-delete"
                       href="<?php echo  URL::to('/dashboard/geo_content/territories/delete/' . $territory->id . '?ccm_token=' . Core::make('token')->generate('delete_territory')) ?>">
                        <i class="fa fa-trash-o"></i>
                    </a>
                    <?php 
                }
                ?>
            </td>
        </tr>
        <?php 
    }
    ?>
    </tbody>
</table>

<script type="text/javascript">
    $("#territories-table").on("click", ".territory-delete", function () {
        return confirm(<?php echo  json_encode(t('Are you sure you want to delete this territory?')) ?>);
    });

    window.GEO_CONTENT_BULK_DELETE = <?php echo  json_encode(t('Are you sure you want to delete the selected territories?')) ?>;
</script>