<?php 
defined('C5_EXECUTE') or die('Access denied.');

use Concrete\Core\Http\ResponseAssetGroup;


/** @var \Concrete\Package\GeoContent\Src\Models\Variation[] $variations */

$r = ResponseAssetGroup::get();
$r->requireAsset('dashboard');
$r->requireAsset('geo_content/variation_list');
?>

<div class="ccm-dashboard-header-buttons">
    <a href="<?php echo  URL::to('/dashboard/geo_content/variations/add') ?>"
       class="btn btn-primary"><?php echo  t('Add Variation') ?></a>
</div>

<div style="margin-bottom: 10px" class="clearfix">
    <select class="pull-left bulk-actions form-control" style="width: auto">
        <option value=""><?php echo  t('With Selected') ?></option>
        <option value="delete"><?php echo  t('Delete') ?></option>
    </select>
</div>

<table class="table table-striped">
    <thead>
    <tr>
        <th nowrap style="width: 2.3em">
            <input type="checkbox" id="variations-check-all" autocomplete="off"/>
        </th>
        <th><?php echo t('Name')?></th>
        <th style="width: 2em"></th>
    </tr>
    </thead>
    <tbody id="variations-table">
    <?php 
    foreach ($variations as $variation) {
        ?>
        <tr class="variation-row" data-variation="<?php echo  $variation->id ?>">
            <td><input type="checkbox" class="bulk-checkbox" autocomplete="off"/></td>
            <td>
                <a href="<?php echo  URL::to('/dashboard/geo_content/variations/edit/' . $variation->id) ?>"><?php echo  h($variation->name) ?></a>
            </td>
            <td>
                <a class="variation-delete"
                   href="<?php echo  URL::to('/dashboard/geo_content/variations/delete/' . $variation->id . '?ccm_token=' . Core::make('token')->generate('delete_variation')) ?>">
                    <i class="fa fa-trash-o"></i>
                </a>
            </td>
        </tr>
        <?php 
    }
    ?>
    </tbody>
</table>

<script type="text/javascript">
    $(".variation-delete").click(function () {
        return confirm(<?php echo  json_encode(t('Are you sure you want to delete this variation?')) ?>);
    });

    window.GEO_CONTENT_BULK_VARIATIONS_DELETE = <?php echo  json_encode(t('Are you sure you want to delete the selected variations?')) ?>;
</script>
