<?php 
namespace Concrete\Package\GeoContent\Src\Events;

use Concrete\Package\GeoContent\Src\Models\Territory;
use Concrete\Package\GeoContent\Src\Models\TerritoryVariation;
use Concrete\Package\GeoContent\Src\Models\Variation;

class PageVersion
{

    /**
     * When a collection is approved which exists for the purpose of storing territory variations, we go through our
     * variations and update them to the approved block ID.
     * @param \Concrete\Core\Page\Collection\Version\Event $event
     */
    public static function onApprove($event)
    {
        if ($territory = Territory::findOneBy(array('stackID' => $event->getPageObject()->getCollectionID()))) {
            $variations = Variation::findBy(array());
            foreach ($variations as $variation) {
                /** @var Variation $variation */
                /** @var TerritoryVariation $territoryVariation */
                $territoryVariation = TerritoryVariation::findOneBy(
                    array('territory' => $territory, 'variation' => $variation)
                );

                $newTerritoryVariation = false;
                if (!$territoryVariation) {
                    $territoryVariation = new TerritoryVariation();
                    $territoryVariation->setTerritory($territory);
                    $territoryVariation->setVariation($variation);
                    $newTerritoryVariation = true;
                }

                $blockId = $territoryVariation->getActiveBlockID();
                if ($blockId) {
                    $territoryVariation->blockID = $blockId;
                    $territoryVariation->save();
                } else if (!$newTerritoryVariation) {
                    $territoryVariation->delete();
                }
            }
        }
    }

}