<?php 
namespace Concrete\Package\GeoContent\Src\Form;

use Concrete\Core\Error\Error;

/**
 * Provides an exception that can be thrown in a doctrine model and then converted to c5 errors.
 * @package Concrete\Package\GeoContent\Src\Form
 */
class ValidationException extends \Exception
{
    private $errors = array();

    public function __construct($errors)
    {
        parent::__construct();
        $this->errors = $errors;
    }

    public function getErrors()
    {
        return $this->errors;
    }

    public function setCoreErrors(Error $e)
    {
        foreach ($this->errors as $error) {
            $e->add($error);
        }
    }
}